ONEFETCH(1)

NAME
onefetch - manual page for onefetch 2.11.0

DESCRIPTION
onefetch 2.11.0 Git repository summary on your terminal

  USAGE:

    onefetch [FLAGS] [OPTIONS] [--] [input]

  FLAGS:

-l, --languages

    Prints out supported languages.

-p, --package-managers

    Prints out supported package managers.

--no-bold

    Turns off bold formatting.

--no-palette

    Hides the color palette.

--no-merges

    Ignores merge commits.

-z, --isotime

    Use ISO 8601 formatted timestamps.

-E, --email

    show the email address of each author.

--hidden

    Count hidden files and directories.

-h, --help

    Prints help information

-V, --version

    Prints version information

  OPTIONS:

-o, --output <FORMAT>

    Outputs Onefetch in a specific format (json, yaml).

--show-logo <WHEN>

    Specify when to show the logo (auto, never, *always*). If set to auto: the logo will be hidden if the terminal's width < 95.

-i, --image <IMAGE>

    Path to the IMAGE file.

--image-backend <BACKEND>

    Which image BACKEND to use.

--color-resolution <VALUE>

    VALUE of color resolution to use with SIXEL backend.

-a, --ascii-language <LANGUAGE>

    Which LANGUAGE's ascii art to print.

--ascii-input <STRING>

    Takes a non-empty STRING as input to replace the ASCII logo. It is possible to pass a generated STRING by command substitution. For example:

    '--ascii-input "$(fortune | cowsay -W 25)"'

--true-color <WHEN>

    Specify when to use true color (*auto*, never, always). If set to auto: true color will be enabled if supported by the terminal.

-c, --ascii-colors <X>...

    Colors (X X X...) to print the ascii art.

-t, --text-colors <X>...

    Changes the text colors (X X X...). Goes in order of title, ~, underline, subtitle, colon, and info. For example:

    '--text-colors 9 10 11 12 13 14'

--no-bots <REGEX>

    Exclude [bot] commits. Use <REGEX> to override the default pattern.

-d, --disable-fields <FIELD>...

    Allows you to disable FIELD(s) from appearing in the output.

-A, --authors-number <NUM>

    NUM of authors to be shown. [default: 3]

-e, --exclude <EXCLUDE>...

    Ignore all files & directories matching EXCLUDE.

-T, --type <TYPE>...

    Filters output by language type (*programming*, *markup*, prose, data).

  ARGS:

    <input>

    Run as if onefetch was started in <input> instead of the current working directory.

SEE ALSO
The full documentation for onefetch is maintained as a Texinfo manual. If the info and onefetch programs are properly installed at your site, the command

    info onefetch

should give you access to the complete manual.